Set SDK version to 22 to avoid the need to ask for permissions.